=== debian/changelog ===
autodeb (0.20.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 22 Jul 2018 13:57:19 -0400

autodeb (0.17.3-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 14 Jul 2018 02:42:17 -0400

autodeb (0.17.2-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 14 Jul 2018 02:35:05 -0400

autodeb (0.17.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 14 Jul 2018 01:23:36 -0400

autodeb (0.17.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 14 Jul 2018 01:11:54 -0400

autodeb (0.16.2-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Thu, 12 Jul 2018 00:14:42 -0400

autodeb (0.16.1-1) unstable; urgency=medium

  * New upstream version.
  * Remove quilt dependency.

 -- Alexandre Viau <aviau@debian.org>  Wed, 11 Jul 2018 23:48:57 -0400

autodeb (0.15.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 01 Jul 2018 01:46:09 -0400

autodeb (0.15.0-2) unstable; urgency=medium

  * autodeb-worker: depend on quilt.

 -- Alexandre Viau <aviau@debian.org>  Sun, 01 Jul 2018 01:05:19 -0400

autodeb (0.15.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 01 Jul 2018 00:38:49 -0400

autodeb (0.14.1-1) unstable; urgency=medium

  * New upstream version.
  * d/control: golang-pault-go-debian-dev (>= 0.9)

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Jun 2018 16:09:09 -0400

autodeb (0.13.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Tue, 19 Jun 2018 01:26:40 -0400

autodeb (0.12.2-2) unstable; urgency=medium

  * Worker: depend on autopkgtest and autodep8.

 -- Alexandre Viau <aviau@debian.org>  Tue, 19 Jun 2018 01:07:34 -0400

autodeb (0.12.2-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Mon, 18 Jun 2018 23:02:45 -0400

autodeb (0.11.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 16 Jun 2018 19:44:28 -0400

autodeb (0.10.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 10 Jun 2018 22:15:54 -0400

autodeb (0.10.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 10 Jun 2018 21:33:53 -0400

autodeb (0.9.1-1) unstable; urgency=medium

  * New upstream version.
  * Adapt to new configuration files.

 -- Alexandre Viau <aviau@debian.org>  Sat, 02 Jun 2018 16:52:54 -0400

autodeb (0.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #645467)

 -- Alexandre Viau <aviau@debian.org>  Sat, 26 May 2018 13:58:06 -0400
