=== debian/control ===
Source: autodeb
Section: net
Priority: optional
Maintainer: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-gorilla-mux-dev,
               golang-github-jinzhu-gorm-dev,
               golang-github-pkg-errors-dev,
               golang-github-spf13-afero-dev,
               golang-github-stretchr-testify-dev,
               golang-github-sirupsen-logrus-dev,
               golang-golang-x-sys-dev,
               golang-github-gorilla-sessions-dev,
               golang-golang-x-oauth2-dev,
               golang-golang-x-crypto-dev,
               golang-github-burntsushi-toml-dev,
               golang-pault-go-debian-dev (>= 0.9)
Standards-Version: 4.1.3
Homepage: https://salsa.debian.org/autodeb-team/autodeb
Vcs-Browser: https://salsa.debian.org/autodeb-team/autodeb-packaging
Vcs-Git: https://salsa.debian.org/autodeb-team/autodeb-packaging.git
XS-Go-Import-Path: salsa.debian.org/autodeb-team/autodeb
Testsuite: autopkgtest-pkg-go

Package: autodeb-server
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser
Description: main server for autodeb
 Autodeb is a service that provides a way to test Debian source packages.
 It empowers Debian Developers by giving them easy access to more rigorous
 testing before they upload a package to the archive. It runs tests that
 Debian Developers don’t necessarily run because of lack of time and
 resources.
 .
 This package contains the main server.

Package: autodeb-worker
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         adduser,
         sbuild,
         autopkgtest,
         autodep8,
         devscripts
Description: runs autodeb jobs
 Autodeb is a service that provides a way to test Debian source packages.
 It empowers Debian Developers by giving them easy access to more rigorous
 testing before they upload a package to the archive. It runs tests that
 Debian Developers don’t necessarily run because of lack of time and
 resources.
 .
 This package contains the worker.
