=== debian/watch ===
version=4
  https://salsa.debian.org/autodeb-team/autodeb/tags .*autodeb-v?([.\d]+)\.tar\.gz
